## visad.java3d
Class AVControlJ3D.SwitchSet

    java.lang.Object
      visad.java3d.AVControlJ3D.SwitchSet

Enclosing class:
  AVControlJ3D

protected class AVControlJ3D.SwitchSet
extends Object

SwitchSet is an inner class of AVControlJ3D for (Switch, Set, DataRenderer) structures

Field Summary
`(package private) DataRenderer` `renderer`
`(package private) Set` `set`
`(package private) javax.media.j3d.Switch` `swit`

Constructor Summary
`(package private)` `AVControlJ3D.SwitchSet(javax.media.j3d.Switch sw, Set se, DataRenderer re)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### swit

    javax.media.j3d.Switch swit

### set

    Set set

### renderer

    DataRenderer renderer

Constructor Detail

### AVControlJ3D.SwitchSet

    AVControlJ3D.SwitchSet(javax.media.j3d.Switch sw,
                           Set se,
                           DataRenderer re)